Bug 541998 - /dev/hugepages should be created/mounted automatically
/dev/hugepages should be created/mounted automatically
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F13VirtTarget 667750
  Show dependency treegraph
 
Reported: 2009-11-27 16:32 EST by James Ralston
Modified: 2011-01-06 12:01 EST (History)
11 users (show)

See Also:
Fixed In Version: udev-151-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 667750 (view as bug list)
Environment:
Last Closed: 2010-03-25 18:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to make /sbin/start_udev mkdir /dev/hugepages (461 bytes, patch)
2010-02-10 15:23 EST, James Ralston
no flags Details | Diff

  None (edit)
Description James Ralston 2009-11-27 16:32:31 EST
According to:

https://fedoraproject.org/wiki/Features/KVM_Huge_Page_Backed_Memory

...I should create /dev/hugepages and mounts hugetlbfs on it.  But this is a hack. There needs to be some automatic way to ensure that /dev/hugepages exists and is mounted; I shouldn't have to do it manually.

This is with libvirt-0.7.1-15.fc12.
Comment 1 James Ralston 2010-02-10 15:23:26 EST
Created attachment 390107 [details]
patch to make /sbin/start_udev mkdir /dev/hugepages

The attached patch makes /sbin/start_udev mkdir /dev/hugepages, the same way it creates other subdirectories in /dev that are mount targets.

With this patch, the following line in /etc/fstab will do the trick:

hugetlbfs       /dev/hugepages  hugetlbfs defaults      0 0
Comment 2 James Ralston 2010-02-10 15:25:39 EST
Reassigning to udev.
Comment 3 Fedora Update System 2010-03-19 07:15:12 EDT
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12
Comment 4 Fedora Update System 2010-03-23 06:26:34 EDT
udev-151-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-151-7.fc13
Comment 5 Fedora Update System 2010-03-23 19:32:55 EDT
udev-151-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-151-7.fc13
Comment 6 Fedora Update System 2010-03-23 19:39:30 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 7 Fedora Update System 2010-03-25 18:34:54 EDT
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-03-25 18:39:12 EDT
udev-151-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Troels Arvin 2010-09-20 16:01:46 EDT
Could this fix be introduced in RHEL 5's udev, as well, please?

Note You need to log in before you can comment on or make changes to this bug.